#include <bits/stdc++.h>

using namespace std;

map<int,int> x;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,br=0;
    cin>>n;
    long y[n];
    for(int i=0;i<n;i++){
        int k;
        cin>>k;k--;
        x[k]++;
    }
    for(int i=0;i<n;i++){
        cin>>y[i];y[i]--;
    }
    for(int i=0;i<n;i++){
        int z;
        cin>>z;z--;
        br+=x[y[z]];
    }
    cout<<br<<endl;
    return 0;
}